Bug 807626 - Producer registration error when producer is set to not use registrations
Producer registration error when producer is set to not use registrations
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: 5.2.1.GA
Assigned To: Thomas Heute
https://c.na7.visual.force.com/apex/C...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 07:08 EDT by claprun@redhat.com
Modified: 2013-09-02 01:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
EPP's WSRP producer uses a special registration to track portlet contexts when registration is disabled. This registration was improperly initialized resulting in registration errors when registration is disabled on the producer. The initialization of the registration has been fixed and a fix has been put in place to repair this improperly initialized registration from previous EPP versions.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8651 by chris.laprun at 2012-03-28 07:26:45 EDT (show)
8651 by chris.laprun at 2012-03-28 07:26:45 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807626 / GTNWSRP-283 - Producer registration error when producer is set to not use registrations: registration used to track consumers when registration is not required on the producer wasn't added to the consumer that was just created resulting in improper state.

1 file changed:

  • components/wsrp/branches/2.1.x/producer/src/main/java/org/gatein/registration/impl/RegistrationManagerImpl.java (+3 / -3)
8652 by chris.laprun at 2012-03-28 07:29:22 EDT (show)
8652 by chris.laprun at 2012-03-28 07:29:22 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807626 / GTNWSRP-283 - Producer registration error when producer is set to not use registrations: registration used to track consumers when registration is not required on the producer wasn't added to the consumer that was just created resulting in improper state.

1 file changed:

  • components/wsrp/trunk/producer/src/main/java/org/gatein/registration/impl/RegistrationManagerImpl.java (+4 / -4)
8661 by chris.laprun at 2012-03-28 11:35:22 EDT (show)
8661 by chris.laprun at 2012-03-28 11:35:22 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807626 / GTNWSRP-283 - Producer registration error when producer is set to not use registrations: added a workaround (and fix) in case we have improper persisted state.

1 file changed:

  • components/wsrp/trunk/producer/src/main/java/org/gatein/registration/impl/RegistrationManagerImpl.java (+22 / -4)
8662 by chris.laprun at 2012-03-28 11:37:01 EDT (show)
8662 by chris.laprun at 2012-03-28 11:37:01 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 807626 / GTNWSRP-283 - Producer registration error when producer is set to not use registrations: added a workaround (and fix) in case we have improper persisted state.

1 file changed:

  • components/wsrp/branches/2.1.x/producer/src/main/java/org/gatein/registration/impl/RegistrationManagerImpl.java (+22 / -4)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNWSRP-283 Major Resolved Producer registration error when producer is set to not use registrations 2013-02-26 10:44:13 EST

  None (edit)
Description claprun@redhat.com 2012-03-28 07:08:13 EDT
When I configure Jboss EPP 5.2 as a producer and I try to consume a portlet from Weblogic the following error occurs:

org.oasis.wsrp.v1.V1OperationFailed: Need to call modifyRegistration Cause: Registration with handle 'null' is pending. Consumer needs to call modifyRegistration().

Full stack trace attached.

I would like to mention that the only Jboss producer check was 
Use strict WSRP compliance. 
So registration should not be required.

In 5.1 EPP version, with the same producer configuration, this error does not happen.
Could you please advice?
Comment 1 JBoss JIRA Server 2012-03-28 07:43:15 EDT
Chris Laprun <chris.laprun@jboss.com> updated the status of jira GTNWSRP-283 to Resolved
Comment 2 JBoss JIRA Server 2012-03-28 11:36:14 EDT
Chris Laprun <chris.laprun@jboss.com> updated the status of jira GTNWSRP-283 to Reopened
Comment 3 JBoss JIRA Server 2012-03-28 11:36:14 EDT
Chris Laprun <chris.laprun@jboss.com> made a comment on jira GTNWSRP-283

Current fix doesn't work with existing improper persisted state.
Comment 4 claprun@redhat.com 2012-03-29 04:37:30 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
EPP's WSRP producer uses a special registration to track portlet contexts when registration is disabled. This registration was improperly initialized resulting in registration errors when registration is disabled on the producer. The initialization of the registration has been fixed and a fix has been put in place to repair this improperly initialized registration from previous EPP versions.
Comment 5 JBoss JIRA Server 2012-04-03 11:37:25 EDT
Chris Laprun <chris.laprun@jboss.com> made a comment on jira GTNWSRP-283

test
Comment 6 JBoss JIRA Server 2012-04-03 12:05:53 EDT
Chris Laprun <chris.laprun@jboss.com> updated the status of jira GTNWSRP-283 to Resolved

Note You need to log in before you can comment on or make changes to this bug.